Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.base
[Java] Class JavaScriptExtension

    java.lang.Object
      org.gradle.plugins.javascript.base.JavaScriptExtension

    public class JavaScriptExtension

Field Summary
`static String` | `GOOGLE_APIS_REPO_URL`
`static String` | `GRADLE_PUBLIC_JAVASCRIPT_REPO_URL`
`static String` | `NAME`

Constructor Summary
`JavaScriptExtension(ResolverFactory resolverFactory)`

Method Summary
`ArtifactRepository` | `getGoogleApisRepository()`
`ArtifactRepository` | `getGradlePublicJavaScriptRepository()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### GOOGLE_APIS_REPO_URL

    public static final String GOOGLE_APIS_REPO_URL

### GRADLE_PUBLIC_JAVASCRIPT_REPO_URL

    public static final String GRADLE_PUBLIC_JAVASCRIPT_REPO_URL

### NAME

    public static final String NAME

Constructor Detail

### JavaScriptExtension

    public JavaScriptExtension(ResolverFactory resolverFactory)

Method Detail

### getGoogleApisRepository

    public ArtifactRepository getGoogleApisRepository()

### getGradlePublicJavaScriptRepository

    public ArtifactRepository getGradlePublicJavaScriptRepository()

Gradle API 1.1-rc-1